## seaborn 0.4.0

=== Makefile ===
export SHELL := /bin/bash

test:

	nosetests --with-doctest
	python ipnbdoctest.py examples/*.ipynb


coverage:

	nosetests --cover-erase --with-coverage --cover-html --cover-package seaborn

lint:

	pyflakes -x W seaborn
	pep8 --exclude external seaborn

hexstrip:

	make -C examples hexstrip

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf examples/*
	-rm -rf example_thumbs/*
	-rm -rf tutorial/*_files/
	-rm -rf tutorial/*.rst

notebooks:

	make -C tutorial notebooks

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/lyman.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/lyman.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/lyman"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/lyman"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

upload:
	rsync -azP $(BUILDDIR)/html/ mwaskom@cardinal.stanford.edu:WWW/software/seaborn
	@echo "Uploaded to Stanford webspace"

upload-dev:
	rsync -azP $(BUILDDIR)/html/ mwaskom@cardinal.stanford.edu:WWW/software/seaborn-dev
	@echo "Uploaded to Stanford webspace (development page)"

=== examples/Makefile ===
test:

	python ipnbdoctest.py *.ipynb

pat = 'Figure at 0x[a-f0-9]*>'
rep = 'Figure at 0xFFFFFFFFF>'
sed = sed s/$(pat)/$(rep)/ | sed s/}\n\r/}/
dir = .

hexstrip:

	cat $(dir)/aesthetics.ipynb | $(sed) > $(dir)/aesthetics_sed.ipynb
	mv $(dir)/aesthetics_sed.ipynb $(dir)/aesthetics.ipynb

	cat $(dir)/linear_models.ipynb | $(sed) > $(dir)/linear_models_sed.ipynb
	mv $(dir)/linear_models_sed.ipynb $(dir)/linear_models.ipynb

	cat $(dir)/plotting_distributions.ipynb | $(sed) > $(dir)/plotting_distributions_sed.ipynb
	mv $(dir)/plotting_distributions_sed.ipynb $(dir)/plotting_distributions.ipynb

	cat $(dir)/timeseries_plots.ipynb | $(sed) > $(dir)/timeseries_plots_sed.ipynb
	mv $(dir)/timeseries_plots_sed.ipynb $(dir)/timeseries_plots.ipynb

=== doc/tutorial/Makefile ===
notebooks:

	ipython nbconvert --to rst ../../examples/plotting_distributions.ipynb
	ipython nbconvert --to rst ../../examples/timeseries_plots.ipynb

	tools/nb_to_doc.py aesthetics
	tools/nb_to_doc.py color_palettes 
	tools/nb_to_doc.py quantitative_linear_models
	tools/nb_to_doc.py categorical_linear_models
	tools/nb_to_doc.py axis_grids

=== debian/changelog ===
seaborn (0.4.0-2) unstable; urgency=medium

  * debian/control
    - swap order of bdepends for matplotlib to make buildds happy again
      (Closes: #765147)
  * debian/patches
    - up_3d9f355d8a424a984dd6f2de9719658cb1e9f715
      picked up from upstream to resolve failed unittest while verifying
      rc options

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 09 Nov 2014 20:46:25 -0500

seaborn (0.4.0-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - building for Python >= 2.7 since pandas is N/A for python 2.6 on wheezy

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 04 Sep 2014 09:39:01 -0400

seaborn (0.3.1-1) unstable; urgency=medium

  * New upstream release
    - absorbed all previously included patches
  * debian/rules
    - customize tests invocation for compatibility with nose on wheezy
      (can't be invoked via python -m nose)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 21 Apr 2014 20:56:40 -0400

seaborn (0.3.0-1) unstable; urgency=low

  * Initial Debian packaging (Closes: #742573)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 24 Mar 2014 23:52:37 -0400

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1

export PYBUILD_NAME=seaborn
export PYBUILD_TEST_NOSE=1

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	xvfb-run --auto-servernum --server-num=20 dh_auto_test $@

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	 PYBUILD_TEST_ARGS="nosetests -s -v --with-doctest {build_dir}/" \
	 xvfb-run --auto-servernum --server-num=20 dh_auto_test $@

## seaborn 0.6.0

=== Makefile ===
--- 
+++ 
@@ -2,13 +2,16 @@
 
 test:
 
+	cp testing/matplotlibrc .
 	nosetests --with-doctest
-	python ipnbdoctest.py examples/*.ipynb
+	rm matplotlibrc
 
 
 coverage:
 
+	cp testing/matplotlibrc .
 	nosetests --cover-erase --with-coverage --cover-html --cover-package seaborn
+	rm matplotlibrc
 
 lint:

=== requirements.txt ===
numpy
scipy
matplotlib
pandas
statsmodels
patsy

=== doc/Makefile ===
--- 
+++ 
@@ -44,6 +44,7 @@
 	-rm -rf example_thumbs/*
 	-rm -rf tutorial/*_files/
 	-rm -rf tutorial/*.rst
+	-rm -rf generated/*
 
 notebooks:

=== debian/changelog ===
seaborn (0.6.0-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/rules
    - fake http*_proxy to prevent online interactions at build time
    - disabled testing doctests since they heavily rely on online datasets

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 29 Jun 2015 13:13:55 -0400

seaborn (0.5.1-1) experimental; urgency=medium

  * New upstream release (Closes: #774809)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 26 Jan 2015 11:37:46 -0500

=== debian/control ===
Source: seaborn
Section: python
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 8), dh-python,
 python-setuptools, python3-setuptools,
 python-all (>= 2.6.6-3~), python3-all,
 python-nose, python3-nose,
 xvfb, xauth,
 python-numpy, python-scipy,
 python-pandas,
 python-matplotlib, python-tk,
 python-statsmodels,
 python-patsy,
 python3-numpy, python3-scipy,
 python3-pandas,
 python3-matplotlib | python-matplotlib (<< 1.2.0~),
 python3-tk,
 python3-patsy,
Standards-Version: 3.9.5
Homepage: https://github.com/mwaskom/seaborn
Vcs-Browser: http://github.com/neurodebian/seaborn
Vcs-Git: git://github.com/neurodebian/seaborn.git -b debian
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python-seaborn
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-numpy, python-scipy,
 python-pandas,
 python-matplotlib,
Recommends:
 python-statsmodels,
 python-patsy,
Description: statistical visualization library
 Seaborn is a library for making attractive and informative
 statistical graphics in Python. It is built on top of matplotlib and
 tightly integrated with the PyData stack, including support for numpy
 and pandas data structures and statistical routines from scipy and
 statsmodels.
 .
 Some of the features that seaborn offers are
 .
  - Several built-in themes that improve on the default matplotlib
    aesthetics
  - Tools for choosing color palettes to make beautiful plots that
    reveal patterns in your data
  - Functions for visualizing univariate and bivariate distributions
    or for comparing them between subsets of data
  - Tools that fit and visualize linear regression models for different
    kinds of independent and dependent variables
  - A function to plot statistical timeseries data with flexible estimation
    and representation of uncertainty around the estimate
  - High-level abstractions for structuring grids of plots that let you
    easily build complex visualizations
 .
 This is the Python 2 version of the package.

Package: python3-seaborn
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-numpy, python3-scipy,
 python3-pandas,
 python3-matplotlib,
Recommends:
 python3-patsy,
Description: statistical visualization library
 Seaborn is a library for making attractive and informative
 statistical graphics in Python. It is built on top of matplotlib and
 tightly integrated with the PyData stack, including support for numpy
 and pandas data structures and statistical routines from scipy and
 statsmodels.
 .
 Some of the features that seaborn offers are
 .
  - Several built-in themes that improve on the default matplotlib
    aesthetics
  - Tools for choosing color palettes to make beautiful plots that
    reveal patterns in your data
  - Functions for visualizing univariate and bivariate distributions
    or for comparing them between subsets of data
  - Tools that fit and visualize linear regression models for different
    kinds of independent and dependent variables
  - A function to plot statistical timeseries data with flexible estimation
    and representation of uncertainty around the estimate
  - High-level abstractions for structuring grids of plots that let you
    easily build complex visualizations
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1

export PYBUILD_NAME=seaborn
export PYBUILD_TEST_NOSE=1

export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	xvfb-run --auto-servernum --server-num=20 dh_auto_test $@

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	 PYBUILD_TEST_ARGS="nosetests -s -v {build_dir}/" \
	 xvfb-run --auto-servernum --server-num=20 dh_auto_test $@

## seaborn 0.7.1

=== debian/changelog ===
seaborn (0.7.1-4) unstable; urgency=medium

  * Team upload.
  * [998c9fc] Revert adding python-tk and python3-tk as a dependency.
    (Closes: #858637)

 -- Anton Gladky <gladk@debian.org>  Fri, 24 Mar 2017 21:22:51 +0100

seaborn (0.7.1-3) unstable; urgency=medium

  * Team upload.
  * [ef1c513] Add python-tk and python3-tk as a dependency. (Closes: #858576)

 -- Anton Gladky <gladk@debian.org>  Fri, 24 Mar 2017 08:27:57 +0100

seaborn (0.7.1-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Move to Debian Science maintenance
  * Add python-bs4 to Recommends since its usage in test suite makes the
    installation recommended

  [ Ole Streicher ]
  * Loose too tight test. Closes: #850999, #849368
  * Allow matplotlib to return an rgba tuple instead of a color name in
    test. Closes: #849368

 -- Ole Streicher <olebole@debian.org>  Mon, 23 Jan 2017 12:24:19 +0100

seaborn (0.7.1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/rules
    - set mpl backed to Agg to robustify testing and resolving FTBFS
      (Closes: #802412)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 10 Sep 2016 15:03:38 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: seaborn
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 8), dh-python,
  python-setuptools, python3-setuptools,
@@ -19,9 +19,9 @@
  python3-tk,
  python3-patsy,
 Standards-Version: 3.9.5
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/seaborn.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/seaborn.git -b debian
 Homepage: https://github.com/mwaskom/seaborn
-Vcs-Browser: http://github.com/neurodebian/seaborn
-Vcs-Git: git://github.com/neurodebian/seaborn.git -b debian
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 
@@ -34,6 +34,7 @@
 Recommends:
  python-statsmodels,
  python-patsy,
+ python-bs4,
 Description: statistical visualization library
  Seaborn is a library for making attractive and informative
  statistical graphics in Python. It is built on top of matplotlib and
@@ -66,6 +67,7 @@
  python3-matplotlib,
 Recommends:
  python3-patsy,
+ python3-bs4
 Description: statistical visualization library
  Seaborn is a library for making attractive and informative
  statistical graphics in Python. It is built on top of matplotlib and

## seaborn 0.8.0

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,8 @@
 
 lint:
 
-	pyflakes -x W seaborn
-	pep8 --exclude external seaborn
+	pyflakes -x W -X seaborn/external/six.py seaborn
+	pep8 --exclude external,cm.py seaborn
 
 hexstrip:

=== doc/Makefile ===
--- 
+++ 
@@ -18,7 +18,9 @@
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
+	@echo "  clean      to remove genrated output"
 	@echo "  html       to make standalone HTML files"
+	@echo "  notebooks   to make the Jupyter notebook-based tutorials"
 	@echo "  dirhtml    to make HTML files named index.html in directories"
 	@echo "  singlehtml to make a single large HTML file"
 	@echo "  pickle     to make pickle files"

=== doc/tutorial/Makefile ===
notebooks:

	tools/nb_to_doc.py aesthetics
	tools/nb_to_doc.py color_palettes 
	tools/nb_to_doc.py distributions
	tools/nb_to_doc.py regression
	tools/nb_to_doc.py categorical
	tools/nb_to_doc.py axis_grids

=== debian/changelog ===
seaborn (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (dropped patches)
  * Add python*-pytest to Build-Depends
    Closes: #868616
  * cme fix dpkg-control
  * debhelper 10
  * Make short description distinct

 -- Andreas Tille <tille@debian.org>  Mon, 24 Jul 2017 12:10:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,35 @@
 Source: seaborn
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
+           Michael Hanke <michael.hanke@gmail.com>
 Section: python
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: debhelper (>= 8), dh-python,
- python-setuptools, python3-setuptools,
- python-all (>= 2.6.6-3~), python3-all,
- python-nose, python3-nose,
- xvfb, xauth,
- python-numpy, python-scipy,
- python-pandas,
- python-matplotlib, python-tk,
- python-statsmodels,
- python-patsy,
- python3-numpy, python3-scipy,
- python3-pandas,
- python3-matplotlib | python-matplotlib (<< 1.2.0~),
- python3-tk,
- python3-patsy,
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 10),
+               dh-python,
+               python-setuptools,
+               python3-setuptools,
+               python-all,
+               python3-all,
+               python-nose,
+               python3-nose,
+               xvfb,
+               xauth,
+               python-numpy,
+               python-scipy,
+               python-pandas,
+               python-matplotlib,
+               python-tk,
+               python-statsmodels,
+               python-patsy,
+               python-pytest,
+               python3-numpy,
+               python3-scipy,
+               python3-pandas,
+               python3-matplotlib | python-matplotlib (<< 1.2.0~),
+               python3-tk,
+               python3-patsy,
+               python3-pytest
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/seaborn.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/seaborn.git -b debian
 Homepage: https://github.com/mwaskom/seaborn
@@ -27,15 +38,16 @@
 
 Package: python-seaborn
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
- python-numpy, python-scipy,
- python-pandas,
- python-matplotlib,
-Recommends:
- python-statsmodels,
- python-patsy,
- python-bs4,
-Description: statistical visualization library
+Depends: ${misc:Depends},
+         ${python:Depends},
+         python-numpy,
+         python-scipy,
+         python-pandas,
+         python-matplotlib
+Recommends: python-statsmodels,
+            python-patsy,
+            python-bs4
+Description: statistical visualization library for Python
  Seaborn is a library for making attractive and informative
  statistical graphics in Python. It is built on top of matplotlib and
  tightly integrated with the PyData stack, including support for numpy
@@ -61,14 +73,15 @@
 
 Package: python3-seaborn
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
- python3-numpy, python3-scipy,
- python3-pandas,
- python3-matplotlib,
-Recommends:
- python3-patsy,
- python3-bs4
-Description: statistical visualization library
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         python3-numpy,
+         python3-scipy,
+         python3-pandas,
+         python3-matplotlib
+Recommends: python3-patsy,
+            python3-bs4
+Description: statistical visualization library for Python3
  Seaborn is a library for making attractive and informative
  statistical graphics in Python. It is built on top of matplotlib and
  tightly integrated with the PyData stack, including support for numpy

=== debian/watch ===
version=3
opts="uversionmangle=s/v//,filenamemangle=s/.*\/(.*)/seaborn-$1/" \
 http://github.com/mwaskom/seaborn/releases .*archive/v?([\d\.rc]+).tar.gz

## seaborn 0.9.0

=== Makefile ===
export SHELL := /bin/bash

test:
	pytest --doctest-modules seaborn

unittests:
	pytest seaborn

coverage:
	pytest --doctest-modules --cov=seaborn --cov-config=.coveragerc seaborn

lint:
	flake8 --ignore E121,E123,E126,E226,E24,E704,E741,W503,W504 --exclude seaborn/__init__.py,seaborn/colors/__init__.py,seaborn/cm.py,seaborn/tests,seaborn/external seaborn

=== doc/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	@echo "Please use \`make <target>' where <target> is one of"
 	@echo "  clean      to remove genrated output"
 	@echo "  html       to make standalone HTML files"
-	@echo "  notebooks   to make the Jupyter notebook-based tutorials"
+	@echo "  notebooks  to make the Jupyter notebook-based tutorials"
 	@echo "  dirhtml    to make HTML files named index.html in directories"
 	@echo "  singlehtml to make a single large HTML file"
 	@echo "  pickle     to make pickle files"
@@ -48,9 +48,13 @@
 	-rm -rf tutorial/*.rst
 	-rm -rf generated/*
 
-notebooks:
+tutorials:
+	make -C tutorial
 
-	make -C tutorial notebooks
+introduction: introduction.ipynb
+	tools/nb_to_doc.py introduction
+
+notebooks: tutorials introduction
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== debian/changelog ===
seaborn (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Testsuite: autopkgtest-pkg-python
  * Drop duplicated override_dh_auto_test
  * Secure URI in copyright format
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Drop ancient X-Python-Version field
  * Do not force nosetest (and thus enable autodetection of pytest)
  * Dirty hack enabling the test suite to pass also in Python3 where
    a single test has different results than in Python2
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Wed, 23 Jan 2019 08:16:03 +0100

seaborn (0.8.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream FTBFS fixes. (Closes: #896003)
  * python-seaborn: Add the missing dependency on python-tk.
    (Closes: #896285)
  * python3-seaborn: Add the missing dependency on python3-tk.
    (Closes: #896401)

 -- Adrian Bunk <bunk@debian.org>  Sun, 23 Sep 2018 09:31:01 +0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12~),
                dh-python,
                python-setuptools,
                python3-setuptools,
@@ -29,12 +30,10 @@
                python3-tk,
                python3-patsy,
                python3-pytest
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/seaborn.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/seaborn.git -b debian
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/science-team/seaborn
+Vcs-Git: https://salsa.debian.org/science-team/seaborn.git
 Homepage: https://github.com/mwaskom/seaborn
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
 
 Package: python-seaborn
 Architecture: all
@@ -43,7 +42,8 @@
          python-numpy,
          python-scipy,
          python-pandas,
-         python-matplotlib
+         python-matplotlib,
+         python-tk
 Recommends: python-statsmodels,
             python-patsy,
             python-bs4
@@ -78,7 +78,8 @@
          python3-numpy,
          python3-scipy,
          python3-pandas,
-         python3-matplotlib
+         python3-matplotlib,
+         python3-tk
 Recommends: python3-patsy,
             python3-bs4
 Description: statistical visualization library for Python3

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1

export PYBUILD_NAME=seaborn

export MPLCONFIGDIR=$(CURDIR)/build
export HOME=$(CURDIR)/build

export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

# Assure Agg backend for matplotlib to avoid any possible complication
# and failed unittests, as in #802412
override_dh_auto_configure:
	mkdir -p $(MPLCONFIGDIR)
	echo "backend : Agg" >| $(MPLCONFIGDIR)/matplotlibrc
	dh_auto_configure

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run --auto-servernum --server-num=20 dh_auto_test $@
endif

## seaborn 0.10.0

=== Makefile ===
export SHELL := /bin/bash

test:
	pytest --doctest-modules seaborn

unittests:
	pytest seaborn

coverage:
	pytest --doctest-modules --cov=seaborn --cov-config=.coveragerc seaborn

lint:
	flake8 --ignore E121,E123,E126,E226,E24,E704,E741,W503,W504 --exclude seaborn/__init__.py,seaborn/colors/__init__.py,seaborn/cm.py,seaborn/external seaborn

=== doc/Makefile ===
--- 
+++ 
@@ -47,6 +47,8 @@
 	-rm -rf tutorial/*_files/
 	-rm -rf tutorial/*.rst
 	-rm -rf generated/*
+	-rm -rf introduction_files/*
+	-rm introduction.rst
 
 tutorials:
 	make -C tutorial
@@ -166,11 +168,3 @@
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
-
-upload:
-	rsync -azP $(BUILDDIR)/html/ mwaskom@cardinal.stanford.edu:WWW/software/seaborn
-	@echo "Uploaded to Stanford webspace"
-
-upload-dev:
-	rsync -azP $(BUILDDIR)/html/ mwaskom@cardinal.stanford.edu:WWW/software/seaborn-dev
-	@echo "Uploaded to Stanford webspace (development page)"

=== doc/requirements.txt ===
sphinx==2.3.1
sphinx_bootstrap_theme==0.6.5  # Later versions mess up the css somehow
nbconvert
ipykernel

=== doc/tutorial/Makefile ===
rst_files := $(patsubst %.ipynb,%.rst,$(wildcard *.ipynb))

tutorial: ${rst_files}

%.rst: %.ipynb
	../tools/nb_to_doc.py $*

=== debian/changelog ===
seaborn (0.10.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.10.0
    Closes: #950695, #950928, #897263
  * Add "Rules-Requires-Root:no"
  * Add upstream/metadata
  * Drop compat, switch to debhelper-compat
  * Remove un-needed patch
  * Modify patch wrt new version
  * Bump standards version to 4.5.0
  * Fix copyright

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 26 Feb 2020 09:41:20 +0000

seaborn (0.9.0-2) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support (Closes: #938458).

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Oct 2019 14:07:01 +0200

=== debian/control ===
Source: seaborn
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-setuptools,
               python3-all,
               python3-nose,
               xvfb,
               xauth,
               python3-numpy,
               python3-scipy,
               python3-pandas,
               python3-matplotlib,
               python3-tk,
               python3-patsy,
               python3-pytest
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/seaborn
Vcs-Git: https://salsa.debian.org/science-team/seaborn.git
Homepage: https://github.com/mwaskom/seaborn
Rules-Requires-Root: no

Package: python3-seaborn
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numpy,
         python3-scipy,
         python3-pandas,
         python3-matplotlib,
         python3-tk
Recommends: python3-patsy,
            python3-bs4
Description: statistical visualization library for Python3
 Seaborn is a library for making attractive and informative
 statistical graphics in Python. It is built on top of matplotlib and
 tightly integrated with the PyData stack, including support for numpy
 and pandas data structures and statistical routines from scipy and
 statsmodels.
 .
 Some of the features that seaborn offers are
 .
  - Several built-in themes that improve on the default matplotlib
    aesthetics
  - Tools for choosing color palettes to make beautiful plots that
    reveal patterns in your data
  - Functions for visualizing univariate and bivariate distributions
    or for comparing them between subsets of data
  - Tools that fit and visualize linear regression models for different
    kinds of independent and dependent variables
  - A function to plot statistical timeseries data with flexible estimation
    and representation of uncertainty around the estimate
  - High-level abstractions for structuring grids of plots that let you
    easily build complex visualizations
 .
 This is the Python 3 version of the package.

## seaborn 0.10.1

=== debian/changelog ===
seaborn (0.10.1-2) unstable; urgency=medium

  * Team Upload.
  * Refresh patch
  * Fix square aspect test (Closes: #966991)

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 11 Aug 2020 00:12:12 +0530

seaborn (0.10.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #959366
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 02 May 2020 10:00:57 +0200

## seaborn 0.11.1

=== Makefile ===
export SHELL := /bin/bash

test:
	pytest -n auto --doctest-modules --cov=seaborn --cov-config=.coveragerc seaborn

unittests:
	pytest -n auto --cov=seaborn --cov-config=.coveragerc seaborn

lint:
	flake8 seaborn

=== doc/Makefile ===
--- 
+++ 
@@ -44,19 +44,24 @@
 	-rm -rf $(BUILDDIR)/*
 	-rm -rf examples/*
 	-rm -rf example_thumbs/*
-	-rm -rf tutorial/*_files/
-	-rm -rf tutorial/*.rst
 	-rm -rf generated/*
 	-rm -rf introduction_files/*
 	-rm introduction.rst
+	-make -C docstrings clean
+	-make -C tutorial clean
 
+.PHONY: tutorials
 tutorials:
 	make -C tutorial
 
-introduction: introduction.ipynb
-	tools/nb_to_doc.py introduction
+.PHONY: docstrings
+docstrings:
+	make -C docstrings
 
-notebooks: tutorials introduction
+introduction.rst: introduction.ipynb
+	tools/nb_to_doc.py ./introduction.ipynb
+
+notebooks: tutorials docstrings introduction.rst
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== doc/docstrings/Makefile ===
rst_files := $(patsubst %.ipynb,%.rst,$(wildcard *.ipynb))

docstrings: ${rst_files}

%.rst: %.ipynb
	@../tools/nb_to_doc.py $*.ipynb
	@cp -r $*_files ../generated/
	@if [ -f ../generated/seaborn.$*.rst ]; then \
	    touch ../generated/seaborn.$*.rst; \
	 fi

clean:
	rm -rf *.rst
	rm -rf *_files/
	rm -rf .ipynb_checkpoints/

=== debian/changelog ===
seaborn (0.11.1-1) unstable; urgency=medium

  * New upstream version 0.11.1
    (Closes: #980688)
  * Refresh patches
  * Add myself to uploaders
  * Declare compliance with policy 4.5.1
  * Bump debhelper-compat version to 13
  * Import warnings in test_axisgrid.py

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 21 Jan 2021 17:21:52 +0530

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: seaborn
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
-           Michael Hanke <michael.hanke@gmail.com>
+           Michael Hanke <michael.hanke@gmail.com>,
+           Nilesh Patra <npatra974@gmail.com>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-setuptools,
                python3-all,
@@ -19,7 +20,7 @@
                python3-tk,
                python3-patsy,
                python3-pytest
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/seaborn
 Vcs-Git: https://salsa.debian.org/science-team/seaborn.git
 Homepage: https://github.com/mwaskom/seaborn

=== debian/watch ===
version=4
opts="uversionmangle=s/v//,filenamemangle=s/.*\/(.*)/seaborn-$1/" \
 https://github.com/mwaskom/seaborn/releases .*archive/v?([\d\.rc]+).tar.gz

## seaborn 0.11.2

=== requirements.txt ===
numpy
scipy
matplotlib
pandas

=== doc/requirements.txt ===
sphinx==3.3.1
sphinx_bootstrap_theme==0.7.1
numpydoc
nbconvert
ipykernel
sphinx-issues

=== doc/tutorial/Makefile ===
rst_files := $(patsubst %.ipynb,%.rst,$(wildcard *.ipynb))

tutorial: ${rst_files}

%.rst: %.ipynb
	../tools/nb_to_doc.py $*.ipynb

clean:
	rm -rf *.rst
	rm -rf *_files/
	rm -rf .ipynb_checkpoints/

=== debian/changelog ===
seaborn (0.11.2-3) unstable; urgency=medium

  * Pull upstream patch to fix
    matplotlib 3.5 FTBFS (Closes: #999529)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 19 Dec 2021 18:18:09 +0530

seaborn (0.11.2-2) unstable; urgency=medium

  * d/control: Remove useless B-D on python3-nose
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 25 Oct 2021 01:37:52 +0530

seaborn (0.11.2-1) unstable; urgency=medium

  * Refresh patches
  * d/watch: Fix watch regex
  * New upstream version 0.11.2

 -- Nilesh Patra <nilesh@debian.org>  Wed, 25 Aug 2021 17:38:32 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>,
-           Nilesh Patra <npatra974@gmail.com>
+           Nilesh Patra <nilesh@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
@@ -10,7 +10,6 @@
                dh-python,
                python3-setuptools,
                python3-all,
-               python3-nose,
                xvfb,
                xauth,
                python3-numpy,
@@ -20,7 +19,7 @@
                python3-tk,
                python3-patsy,
                python3-pytest
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/seaborn
 Vcs-Git: https://salsa.debian.org/science-team/seaborn.git
 Homepage: https://github.com/mwaskom/seaborn

=== debian/watch ===
version=4
opts="uversionmangle=s/v//,uversionmangle=s|\.rc|~rc|,filenamemangle=s/.*\/(.*)/seaborn-$1/" \
 https://github.com/mwaskom/seaborn/releases .*archive/.*/v?([\d\.rc]+).tar.gz

## seaborn 0.12.0

=== Makefile ===
export SHELL := /bin/bash

test:
	pytest -n auto --doctest-modules --cov=seaborn --cov=tests --cov-config=.coveragerc seaborn tests

unittests:
	pytest -n auto --cov=seaborn --cov=tests --cov-config=.coveragerc tests

lint:
	flake8 seaborn

typecheck:
	mypy --follow-imports=skip seaborn/_core seaborn/_marks seaborn/_stats

=== doc/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
-	@echo "  clean      to remove genrated output"
+	@echo "  clean      to remove generated output"
 	@echo "  html       to make standalone HTML files"
 	@echo "  notebooks  to make the Jupyter notebook-based tutorials"
 	@echo "  dirhtml    to make HTML files named index.html in directories"
@@ -45,23 +45,21 @@
 	-rm -rf examples/*
 	-rm -rf example_thumbs/*
 	-rm -rf generated/*
-	-rm -rf introduction_files/*
-	-rm introduction.rst
-	-make -C docstrings clean
-	-make -C tutorial clean
+	-rm -rf tutorial.rst
+	-make -C _docstrings clean
+	-make -C _tutorial clean
 
 .PHONY: tutorials
 tutorials:
-	make -C tutorial
+	@mkdir -p tutorial
+	@make -C _tutorial
 
 .PHONY: docstrings
 docstrings:
-	make -C docstrings
+	@mkdir -p docstrings
+	@make -C _docstrings
 
-introduction.rst: introduction.ipynb
-	tools/nb_to_doc.py ./introduction.ipynb
-
-notebooks: tutorials docstrings introduction.rst
+notebooks: tutorials docstrings
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== doc/requirements.txt ===
pydata-sphinx-theme==0.10.0rc1
numpydoc
nbconvert
ipykernel
sphinx-copybutton
sphinx-issues
sphinx-design
pyyaml

=== doc/_docstrings/Makefile ===
rst_files := $(patsubst %.ipynb,../docstrings/%.rst,$(wildcard *.ipynb))

docstrings: ${rst_files}

../docstrings/%.rst: %.ipynb
	../tools/nb_to_doc.py $*.ipynb ../docstrings
	@cp -r ../docstrings/$*_files ../generated/
	@if [ -f ../generated/seaborn.$*.rst ]; then \
	    touch ../generated/seaborn.$*.rst; \
	 fi

clean:
	rm -rf ../docstrings

=== debian/changelog ===
seaborn (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0
  * d/watch: Point to tags instead of releases
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Drop all previous patches, merged/fixed upstream
  * Move python3-tk to recommends (Closes: #910613)
  * Add flit as B-D and declare the same in buildsystem
  * Add autopkgtests

 -- Nilesh Patra <nilesh@debian.org>  Mon, 26 Sep 2022 22:26:18 +0530

## seaborn 0.12.1

=== debian/changelog ===
seaborn (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1

 -- Nilesh Patra <nilesh@debian.org>  Sun, 27 Nov 2022 00:37:00 +0530

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
+               flit,
                python3-setuptools,
                python3-all,
                xvfb,
@@ -19,7 +21,7 @@
                python3-tk,
                python3-patsy,
                python3-pytest
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/seaborn
 Vcs-Git: https://salsa.debian.org/science-team/seaborn.git
 Homepage: https://github.com/mwaskom/seaborn
@@ -32,10 +34,10 @@
          python3-numpy,
          python3-scipy,
          python3-pandas,
-         python3-matplotlib,
-         python3-tk
+         python3-matplotlib
 Recommends: python3-patsy,
-            python3-bs4
+            python3-bs4,
+            python3-tk
 Description: statistical visualization library for Python3
  Seaborn is a library for making attractive and informative
  statistical graphics in Python. It is built on top of matplotlib and

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 DH_VERBOSE=1
 
 export PYBUILD_NAME=seaborn
+export PYBUILD_SYSTEM=flit
 
 export MPLCONFIGDIR=$(CURDIR)/build
 export HOME=$(CURDIR)/build
@@ -11,7 +12,7 @@
 export  https_proxy=http://127.0.0.1:9/
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 # Assure Agg backend for matplotlib to avoid any possible complication
 # and failed unittests, as in #802412

## seaborn 0.12.2

=== Makefile ===
export SHELL := /bin/bash

test:
	pytest -n auto --cov=seaborn --cov=tests --cov-config=setup.cfg tests

lint:
	flake8 seaborn

typecheck:
	mypy --follow-imports=skip seaborn/_core seaborn/_marks seaborn/_stats

=== doc/_docstrings/Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 rst_files := $(patsubst %.ipynb,../docstrings/%.rst,$(wildcard *.ipynb))
+export MPLBACKEND := module://matplotlib_inline.backend_inline
 
 docstrings: ${rst_files}

=== debian/changelog ===
seaborn (0.12.2-1) unstable; urgency=medium

  * New upstream version 0.12.2 (Closes: #1028858)
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 14 Jan 2023 23:31:48 +0530

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3-tk,
                python3-patsy,
                python3-pytest
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/seaborn
 Vcs-Git: https://salsa.debian.org/science-team/seaborn.git
 Homepage: https://github.com/mwaskom/seaborn

## seaborn 0.13.2

=== Makefile ===
export SHELL := /bin/bash

test:
	pytest -n auto --cov=seaborn --cov=tests --cov-config=setup.cfg tests

lint:
	flake8 seaborn/ tests/

typecheck:
	mypy --follow-imports=skip seaborn/_core seaborn/_marks seaborn/_stats

=== doc/Makefile ===
--- 
+++ 
@@ -46,18 +46,18 @@
 	-rm -rf example_thumbs/*
 	-rm -rf generated/*
 	-rm -rf tutorial.rst
-	-make -C _docstrings clean
-	-make -C _tutorial clean
+	-$(MAKE) -C _docstrings clean
+	-$(MAKE) -C _tutorial clean
 
 .PHONY: tutorials
 tutorials:
 	@mkdir -p tutorial
-	@make -C _tutorial
+	@$(MAKE) -C _tutorial
 
 .PHONY: docstrings
 docstrings:
 	@mkdir -p docstrings
-	@make -C _docstrings
+	@$(MAKE) -C _docstrings
 
 notebooks: tutorials docstrings

=== doc/_tutorial/Makefile ===
rst_files := $(patsubst %.ipynb,../tutorial/%.rst,$(wildcard *.ipynb))
export MPLBACKEND := module://matplotlib_inline.backend_inline

tutorial: ${rst_files}

../tutorial/%.rst: %.ipynb
	../tools/nb_to_doc.py $*.ipynb ../tutorial

clean:
	rm -rf ../tutorial

=== debian/changelog ===
seaborn (0.13.2-5) unstable; urgency=medium

  * Add patch to fixup tests with matplotlib 3.10
  * Bump Standards-Version to 4.7.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 18 Mar 2025 11:52:52 +0530

seaborn (0.13.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix tests with NumPy 2.x (Closes: #1095096).

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 14 Feb 2025 20:52:04 +0500

seaborn (0.13.2-4) unstable; urgency=medium

  * Team Upload
  * Remove dependency on deprecated Patsy (Closes: #1073190)

  [ Nilesh Patra ]
  * Drop Yaroslav and Michael from uploaders field.
    + Thanks for your work!

 -- Alexandre Detiste <tchet@debian.org>  Wed, 03 Jul 2024 12:26:25 +0200

seaborn (0.13.2-3) unstable; urgency=medium

  * Remove "export PYBUILD_SYSTEM=flit" (Closes: #1067276)
  * Update 32-bit patch to make an almost equal assertion for a test

 -- Nilesh Patra <nilesh@iki.fi>  Sun, 24 Mar 2024 10:33:11 +0530

seaborn (0.13.2-2) unstable; urgency=medium
 
  * Add patch to avoid test failures on 32-bit (Closes: #1063273)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 09 Feb 2024 22:22:55 +0530

seaborn (0.13.2-1) unstable; urgency=medium

  * New upstream version 0.13.2 (Closes: #1053945)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 30 Jan 2024 20:55:35 +0530

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: seaborn
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
-           Michael Hanke <michael.hanke@gmail.com>,
-           Nilesh Patra <nilesh@debian.org>
+Uploaders: Nilesh Patra <nilesh@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
@@ -19,9 +17,8 @@
                python3-pandas,
                python3-matplotlib,
                python3-tk,
-               python3-patsy,
                python3-pytest
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/seaborn
 Vcs-Git: https://salsa.debian.org/science-team/seaborn.git
 Homepage: https://github.com/mwaskom/seaborn
@@ -35,8 +32,7 @@
          python3-scipy,
          python3-pandas,
          python3-matplotlib
-Recommends: python3-patsy,
-            python3-bs4,
+Recommends: python3-bs4,
             python3-tk
 Description: statistical visualization library for Python3
  Seaborn is a library for making attractive and informative

=== debian/tests/control ===
Test-Command: xvfb-run --auto-servernum --server-num=20 -s "-screen 0 1600x1200x24 -ac +extension GLX +render -noreset" sh debian/tests/run-unit-test
Depends: @, python3-all, python3-pytest, xvfb, xauth
Restrictions: allow-stderr

## seaborn extensions-0.0.11

=== requirements.txt ===
numpy>=1.18.0,<2.0
pandas>=1.1.0,<2.0
matplotlib>=3.3.0,<4.0
seaborn>=0.11.1,<1.0
pingouin>=0.3.9,<1.0

## seaborn extensions-0.0.16

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

lint: ## check style with flake8
	flake8 seaborn_extensions tests

test: ## run tests quickly with the default Python
	pytest

test-all: ## run tests on every Python version with tox
	tox

coverage: ## check code coverage quickly with the default Python
	coverage run --source seaborn_extensions -m pytest
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/seaborn_extensions.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ seaborn_extensions
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: dist ## package and upload a release
	twine upload dist/*

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	python setup.py install

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+setuptools_scm
+sphinx_rtd_theme
 numpy>=1.18.0,<2.0
 pandas>=1.1.0,<2.0
 matplotlib>=3.3.0,<4.0
